Skip to main content
GET
/
user-parcel-templates
/
{UserParcelTemplateObjectId}
CLI
curl /user-parcel-templates/{UserParcelTemplateToken}  \
  -H "Authorization: ShippoToken <API_TOKEN>" \
  -H "Content-Type: application/json"
{
  "distance_unit": "in",
  "height": "6",
  "length": "10",
  "name": "My Custom Template",
  "weight": "12",
  "weight_unit": "lb",
  "width": "8",
  "object_created": "2013-12-11T19:38:09.729Z",
  "object_id": "b958d3690bb04bb8b2986724872750f5",
  "object_owner": "shippotle@shippo.com",
  "object_updated": "2013-12-12T19:38:09.729Z",
  "template": {
    "carrier": "FedEx",
    "distance_unit": "in",
    "height": "1.5",
    "is_variable_dimensions": false,
    "length": "12.375",
    "name": "FedEx® Small Box (S1)",
    "token": "FedEx_Box_Small_1",
    "width": "10.875"
  }
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Path Parameters

UserParcelTemplateObjectId
string
required

Object ID of the user parcel template

Response

User parcel template

distance_unit
enum<string>

The measure unit used for length, width and height. Required, but if using a preset carrier template then this field must be empty.

Available options:
cm,
in,
ft,
m,
mm,
yd
Example:

"in"

height
string

The height of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.

Example:

"6"

length
string

The length of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.

Example:

"10"

name
string

The name of the User Parcel Template

Example:

"My Custom Template"

weight
string

The weight of the package, in units specified by the weight_unit attribute.

Example:

"12"

weight_unit
enum<string>

The unit used for weight.

Available options:
g,
kg,
lb,
oz
Example:

"lb"

width
string

The width of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.

Example:

"8"

object_created
string<date-time>

Date and time of User Parcel Template creation

Example:

"2013-12-11T19:38:09.729Z"

object_id
string

Unique identifier of the given User Parcel Template object

Example:

"b958d3690bb04bb8b2986724872750f5"

object_owner
string

Username of the user who created the User Parcel Template object

Example:

"shippotle@shippo.com"

object_updated
string<date-time>

Date and time of last update on User Parcel Template

Example:

"2013-12-12T19:38:09.729Z"

template
Carrier Parcel Template · object